Issue199

classification
Title [Bug: 21.4.21] cannot edit file from dired
Type defect Module core code 21.4
Severity inconvenience Platform x86, nt, mswindows
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder [Bug: 21.4.21] cannot edit file from dired
View: 94
  Submitted 2007-12-28.21:53:41
Priority normal   Assigned To

Created on 2008-01-19.06:43:13 by glennoph, last changed 2008-01-19.10:50:09 by stephen.

Messages
msg340 [hidden] ([hidden]) Date: 2008-01-19.06:43:13
  Message-ID: <c523edf80712281353v12e53ee4s2c4938de014a3abb@mail.gmail.com>
Dear Bug Team!

If the size is less than 1000, then there is no problem
However if the size is > 1000, then when I press v on the file line,
then I see a buffer with the minutes prepended to the file name.
For example, there is a file build.xml that has size 2420 and
modification date is Dec 26 22:21.  The view of this file results in a
buffer with name 21 build.xml.  The buffer is empty (since that file
does not exist).

Please help me.  If you have questions or a fix please email me at
glennoph at gmail.com

--glenn

================================================================

System Info to help track down your bug:
---------------------------------------

OS version:

Microsoft Windows XP [Version 5.1.2600]

OS: Windows_NT

XEmacs 21.4.21 "Educational Television" configured for `i586-pc-win32'.

  Building XEmacs in "c:\\XEmacsBuild\\xemacs-21.4-2007-10-07\\nt".

  Using compiler "cl -nologo -W3 -O2 -G5 -MD".

  Installing XEmacs in "c:/XEmacsBuild/installed/2007-10-07/XEmacs-21.4.21".

  Compiling in support for Microsoft Windows native GUI.

  Compiling in support for XPM images.

  Compiling in support for GIF images.

  Compiling in support for PNG images.

  Compiling in support for TIFF images.

  Compiling in support for JPEG images.

  Compiling in support for toolbars.

  Compiling in support for dialogs.

  Compiling in support for widgets.

  Compiling in support for native sounds.

  Compiling in fast dired implementation.

  Using portable dumper.

  Using system malloc.

  Using DLL version of C runtime library

Load-Path Lisp Shadows:
----------------------
nil

Internationalization Settings:
-------------------------

Installed XEmacs Packages:
-------------------------
(xemacs-devel ver: 1.76 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.13 upstream: No-Upstream-Ver)
(w3 ver: 1.34 upstream: 4.0pre47)
(vm ver: 7.26 upstream: 7.19)
(vc ver: 1.45 upstream: No-Upstream-Ver)
(tramp ver: 1.39 upstream: 2.0.56)
(tm ver: 1.38 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(text-modes ver: 1.95 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.28 upstream: 0.14beta4)
(sounds-wav ver: 1.12 upstream: No-Upstream-Ver)
(sounds-au ver: 1.12 upstream: No-Upstream-Ver)
(sieve ver: 1.18 upstream: No-Upstream-Ver)
(sh-script ver: 1.22 upstream: 2.0f)
(semantic ver: 1.2 upstream: 1.4.4)
(sasl ver: 1.16 upstream: 1.14.4)
(ruby-modes ver: 1.02 upstream: 1.6.8)
(rmail ver: 1.14 upstream: No-Upstream-Ver)
(psgml ver: 1.45 upstream: 1.3.2)
(ps-print ver: 1.11 upstream: 6.5.6)
(prog-modes ver: 2.15 upstream: No-Upstream-Ver)
(pgg ver: 1.06 upstream: 0.1)
(perl-modes ver: 1.1 upstream: No-Upstream-Ver)
(pcomplete ver: 1.04 upstream: 1.1.6)
(pcl-cvs ver: 1.68 upstream: R-2_9_9)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.4 upstream: No-Upstream-Ver)
(net-utils ver: 1.54 upstream: N/A)
(mmm-mode ver: 1.02 upstream: 0.4.7)
(misc-games ver: 1.19 upstream: No-Upstream-Ver)
(mh-e ver: 1.31 upstream: 7.4.2)
(mailcrypt ver: 2.14 upstream: 3.5.8)
(mail-lib ver: 1.79 upstream: No-Upstream-Ver)
(jde ver: 1.51 upstream: 2.3.3)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.34 upstream: 5.12.0)
(igrep ver: 1.16 upstream: 2.111)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hyperbole ver: 1.17 upstream: 5.0)
(hm--html-menus ver: 1.24 upstream: 5.9)
(gnus ver: 1.91 upstream: 5.10.8)
(general-docs ver: 1.05 upstream: No-Upstream-Ver)
(games ver: 1.17 upstream: 1.04)
(fsf-compat ver: 1.15 upstream: No-Upstream-Ver)
(frame-icon ver: 1.11 upstream: No-Upstream-Ver)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.12 upstream: 2.4.1)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(elib ver: 1.12 upstream: 1.0)
(eieio ver: 1.05 upstream: 0.17)
(efs ver: 1.34 upstream: 1.24)
(edit-utils ver: 2.38 upstream: No-Upstream-Ver)
(ediff ver: 1.72 upstream: 2.75)
(edebug ver: 1.22 upstream: No-Upstream-Ver)
(ecrypto ver: 0.2 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(dired ver: 1.18 upstream: 7.14)
(debug ver: 1.18 upstream: No-Upstream-Ver)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.34 upstream: No-Upstream-Ver)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(bbdb ver: 1.32 upstream: 2.35)
(apel ver: 1.33 upstream: 10.6)

Features:
--------

(mail-abbrevs xemacsbug shadow sendmail rfc822 font disp-table paren
blink-paren scroll-in-place rsz-minibuf func-menu font-lock filladapt
crypt crypt++ crypt+pgp-pub completer efs-cu efs-x19.15 efs-fnh
efs-ovwrt efs-auto cus-face dired-faces dired-xemacs dired pending-del
xemacs-devel-autoloads xemacs-base-autoloads w3-autoloads vm-autoloads
vc-autoloads tramp-autoloads tm-autoloads time-autoloads
text-modes-autoloads texinfo-autoloads supercite-autoloads
strokes-autoloads speedbar-autoloads sounds-wav-autoloads
sounds-au-autoloads sieve-autoloads sh-script-autoloads
semantic-autoloads sasl-autoloads ruby-modes-autoloads rmail-autoloads
psgml-autoloads ps-print-autoloads prog-modes-autoloads pgg-autoloads
perl-modes-autoloads pcomplete-autoloads pcl-cvs-autoloads
pc-autoloads os-utils-autoloads net-utils-autoloads mmm-mode-autoloads
misc-games-autoloads mh-e-autoloads mailcrypt-autoloads
mail-lib-autoloads jde-autoloads ispell-autoloads ilisp-autoloads
igrep-autoloads ibuffer-autoloads hyperbole-autoloads
hm--html-menus-autoloads gnus-autoloads general-docs-autoloads
games-autoloads fsf-compat-autoloads frame-icon-autoloads
eterm-autoloads eshell-autoloads emerge-autoloads elib-autoloads
eieio-autoloads efs-autoloads edit-utils-autoloads ediff-autoloads
edebug-autoloads ecrypto-autoloads ecb-autoloads dired-autoloads
debug-autoloads cc-mode-autoloads calendar-autoloads
c-support-autoloads bbdb-autoloads apel-autoloads lisp-autoloads
loadhist auto-show fontl-hooks code-cmds gutter-items menubar-items
x-menubar dragdrop mode-motion mouse itimer auto-save lisp-mode
easymenu iso8859-1 page buff-menu lib-complete help-nomule cus-file
derived frame text-props obsolete cus-start custom widget cl-extra
mini-cl cl cl-19 packages backquote very-early-lisp file-coding
mswindows-scrollbars mswindows toolbar native-sound scrollbar
network-streams subprocesses menu-accelerator-support menubar md5
xemacs gutter tiff png gif jpeg xpm xbm lisp-float-type windows-nt
dragdrop-api dialog devices window-system base64)

Recent keystrokes:
-----------------

misc-user

Recent messages (most recent first):
-----------------------------------

Loading xemacsbug...done
Loading xemacsbug...
Loading font...done
Loading font...
Paren mode is sexp
Loading paren...done
Loading paren...
Loading rsz-minibuf...done
Loading rsz-minibuf...
Loading cus-face...done
Loading cus-face...
Loading sounds...done
Loading sounds...
Loading sound...done
Loading sound...
Loading pending-del...done
Loading pending-del...

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-01-19 10:50:09stephensetstatus: new -> closed
priority: normal
reason: superseded
severity: inconvenience
platform: + x86, nt, mswindows
type: defect
superseder: + [Bug: 21.4.21] cannot edit file from dired
module: + core code 21.4
2008-01-19 06:43:13glennophcreate